BCM5974(4)

NAME
bcm5974 - Wellspring touchpad driver

SYNOPSIS
To compile this driver into the kernel, place the following lines into your kernel configuration file:

device bcm5974
device hidbus
device hid
device usbhid
device usb
device evdev

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    bcm5974_load="YES"

DESCRIPTION
The bcm5974 driver provides support for the Wellspring touchpads found in many Apple laptops.

To get multi-touch device working in X(7) (ports/x11/xorg-docs), install ports/x11-drivers/xf86-input-libinput.

FILES
bcm5974 creates a pseudo-device file, /dev/input/eventX which presents the multi-touch device as an input event device.

SEE ALSO
hid(4), loader.conf(5), xorg.conf(5) (ports/x11/xorg), libinput(4) (ports/x11-drivers/xf86-input-libinput).

AUTHORS
-nosplit The bcm5974 driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>. It is based on wsp(4) driver written by Huang Wen Hui <huanghwh@gmail.com>.

BUGS
bcm5974 cannot act like sysmouse(4)